wreport::error_parse Class Reference

Report an error when parsing informations. More...

`#include <error.h>`

Inheritance diagram for wreport::error_parse:

## Public Member Functions

| error_parse (const char *file, int line, const std::string &msg)
Public Member Functions inherited from wreport::errors::StringBase< WR_ERR_PARSE >
| StringBase (const std::string &msg) noexcept
ErrorCode | code () const noexcept override
| Exception-specific error code.
const char * | what () const noexcept override
| Error message.

## Static Public Member Functions

static void | throwf (const char *file, int line, const char *fmt,...) WREPORT_THROWF_ATTRS(3
| Throw the exception, building the message printf-style.
Static Public Member Functions inherited from wreport::error
static const char * | strerror (ErrorCode code)
| String description for an error code.

## Additional Inherited Members

Data Fields inherited from wreport::errors::StringBase< WR_ERR_PARSE >
std::string | msg
| error message returned by what()

## Detailed Description

Report an error when parsing informations.

## Constructor & Destructor Documentation

## error_parse()

wreport::error_parse::error_parse | ( | const char * | file,
|  | int | line,
|  | const std::string & | msg )

Parameters

  file | The file that is being parsed
  line | The line of the file where the problem has been found
  msg | The error message

References wreport::errors::StringBase< WR_ERR_PARSE >::msg.

The documentation for this class was generated from the following file:

- error.h